Skip to content

Get Integration Details ​

GET /api/hype-custom/integrations/{integrationId}

By default, the response contains id and status. The request below uses include=accountOne,pipeline to also return the Hype account and the latest pipeline. Use include=pipeline when you only need synchronization progress. If no pipeline exists, pipeline is omitted.

Request ​

http
GET https://es.dev.hype-software.com/api/hype-custom/integrations/{integrationId}?include=accountOne,pipeline
Authorization: Bearer YOUR_API_TOKEN
Accept: application/json
Content-Type: application/json

Path parameters ​

ParameterExample
integrationIdYour integrationId

Response examples ​

200 · Get Integration Details ​

json
{
  "id": "9b57a2e7-48e3-4173-9bcd-11a831a6f111",
  "status": "syncing",
  "accountOne": {
    "id": "9a583928-13d9-4a0f-bb7f-c02b847a927c",
    "name": "demo.hype-software.com",
    "status": "active",
    "api_token": "9a583928-0e98-418a-940c-6650faf12163",
    "foreign_account_id": "157",
    "client_id": 157,
    "settings": [],
    "platform": {
      "id": "4d410b0e-ee37-497e-8362-478a383d68ee",
      "name": "Hype Server",
      "key": "hype-server",
      "prefix": "HS"
    }
  },
  "pipeline": {
    "id": "9b57a2e7-dd9b-428f-be5a-3173b77aebad",
    "status": "processing",
    "progress": {
      "step": 6,
      "from": 11,
      "task_id": "9b57a3a2-6cf6-4c06-9037-cea260069b6f"
    },
    "message": null
  }
}

Hype Exchange Service API